# Gst::TunerNorm Class Reference
[gstreamermm Interfaces]

Gst::TunerNorm - Encapsulates information about the data format(s) for a Gst::TunerChannel. More...

`#include <tunernorm.h>`

List of all members.

## Public Member Functions
virtual | ~TunerNorm ()
GstTunerNorm* | gobj ()
| Provides access to the underlying C GObject.
const GstTunerNorm* | gobj () const
| Provides access to the underlying C GObject.
GstTunerNorm* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_label () const
| Get a string containing a descriptive name for the norm.
Gst::Fraction | get_framerate () const
| Get the framerate associated with this norm, if any.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::TunerNorm> | wrap (GstTunerNorm* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::TunerNorm - Encapsulates information about the data format(s) for a Gst::TunerChannel.

## Constructor& Destructor Documentation

virtual Gst::TunerNorm::~TunerNorm | ( |  | ) | `[virtual]`

## Member Function Documentation

Gst::Fraction Gst::TunerNorm::get_framerate | ( |  | ) | const

Get the framerate associated with this norm, if any.

(May be unset). If it is not set the value will be 0/1.

Glib::ustring Gst::TunerNorm::get_label | ( |  | ) | const

Get a string containing a descriptive name for the norm.

const GstTunerNorm* Gst::TunerNorm::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GstTunerNorm* Gst::TunerNorm::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

GstTunerNorm* Gst::TunerNorm::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::TunerNorm> wrap | ( | GstTunerNorm * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- tunernorm.h